<?php
/**
 * The template file to display taxonomies archive
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.57
 */

// Redirect to the template page (if exists) for output current taxonomy
if ( is_category() || is_tag() || is_tax() ) {
	$yungen_term = get_queried_object();
	global $wp_query;
	if ( ! empty( $yungen_term->taxonomy ) && ! empty( $wp_query->posts[0]->post_type ) ) {
		$yungen_taxonomy  = yungen_get_post_type_taxonomy( $wp_query->posts[0]->post_type );
		if ( $yungen_taxonomy == $yungen_term->taxonomy ) {
			$yungen_template_page_id = yungen_get_template_page_id( array(
				'post_type'  => $wp_query->posts[0]->post_type,
				'parent_cat' => $yungen_term->term_id
			) );
			if ( 0 < $yungen_template_page_id ) {
				wp_safe_redirect( get_permalink( $yungen_template_page_id ) );
				exit;
			}
		}
	}
}
// If template page is not exists - display default blog archive template
get_template_part( apply_filters( 'yungen_filter_get_template_part', yungen_blog_archive_get_template() ) );
