<div class="front_page_section front_page_section_contacts<?php
	$yungen_scheme = yungen_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! yungen_is_inherit( $yungen_scheme ) ) {
		echo ' scheme_' . esc_attr( $yungen_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( yungen_get_theme_option( 'front_page_contacts_paddings' ) );
?>"
		<?php
		$yungen_css      = '';
		$yungen_bg_image = yungen_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $yungen_bg_image ) ) {
			$yungen_css .= 'background-image: url(' . esc_url( yungen_get_attachment_url( $yungen_bg_image ) ) . ');';
		}
		if ( ! empty( $yungen_css ) ) {
			echo ' style="' . esc_attr( $yungen_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$yungen_anchor_icon = yungen_get_theme_option( 'front_page_contacts_anchor_icon' );
	$yungen_anchor_text = yungen_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $yungen_anchor_icon ) || ! empty( $yungen_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $yungen_anchor_icon ) ? ' icon="' . esc_attr( $yungen_anchor_icon ) . '"' : '' )
									. ( ! empty( $yungen_anchor_text ) ? ' title="' . esc_attr( $yungen_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( yungen_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' yungen-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$yungen_css      = '';
			$yungen_bg_mask  = yungen_get_theme_option( 'front_page_contacts_bg_mask' );
			$yungen_bg_color_type = yungen_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $yungen_bg_color_type ) {
				$yungen_bg_color = yungen_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $yungen_bg_color_type ) {
				$yungen_bg_color = yungen_get_scheme_color( 'bg_color', $yungen_scheme );
			} else {
				$yungen_bg_color = '';
			}
			if ( ! empty( $yungen_bg_color ) && $yungen_bg_mask > 0 ) {
				$yungen_css .= 'background-color: ' . esc_attr(
					1 == $yungen_bg_mask ? $yungen_bg_color : yungen_hex2rgba( $yungen_bg_color, $yungen_bg_mask )
				) . ';';
			}
			if ( ! empty( $yungen_css ) ) {
				echo ' style="' . esc_attr( $yungen_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$yungen_caption     = yungen_get_theme_option( 'front_page_contacts_caption' );
			$yungen_description = yungen_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $yungen_caption ) || ! empty( $yungen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $yungen_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $yungen_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $yungen_caption, 'yungen_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $yungen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $yungen_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $yungen_description ), 'yungen_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$yungen_content = yungen_get_theme_option( 'front_page_contacts_content' );
			$yungen_layout  = yungen_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $yungen_layout && ( ! empty( $yungen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $yungen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $yungen_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $yungen_content, 'yungen_kses_content' );
				?>
				</div>
				<?php
			}

			if ( 'columns' == $yungen_layout && ( ! empty( $yungen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$yungen_sc = yungen_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $yungen_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $yungen_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					yungen_show_layout( do_shortcode( $yungen_sc ) );
				?>
				</div>
				<?php
			}

			if ( 'columns' == $yungen_layout && ( ! empty( $yungen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
