<div class="front_page_section front_page_section_googlemap<?php
	$yungen_scheme = yungen_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! yungen_is_inherit( $yungen_scheme ) ) {
		echo ' scheme_' . esc_attr( $yungen_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( yungen_get_theme_option( 'front_page_googlemap_paddings' ) );
?>"
		<?php
		$yungen_css      = '';
		$yungen_bg_image = yungen_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $yungen_bg_image ) ) {
			$yungen_css .= 'background-image: url(' . esc_url( yungen_get_attachment_url( $yungen_bg_image ) ) . ');';
		}
		if ( ! empty( $yungen_css ) ) {
			echo ' style="' . esc_attr( $yungen_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$yungen_anchor_icon = yungen_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$yungen_anchor_text = yungen_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $yungen_anchor_icon ) || ! empty( $yungen_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $yungen_anchor_icon ) ? ' icon="' . esc_attr( $yungen_anchor_icon ) . '"' : '' )
									. ( ! empty( $yungen_anchor_text ) ? ' title="' . esc_attr( $yungen_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
	<?php
	if ( yungen_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
		echo ' yungen-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$yungen_css      = '';
			$yungen_bg_mask  = yungen_get_theme_option( 'front_page_googlemap_bg_mask' );
			$yungen_bg_color_type = yungen_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $yungen_bg_color_type ) {
				$yungen_bg_color = yungen_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $yungen_bg_color_type ) {
				$yungen_bg_color = yungen_get_scheme_color( 'bg_color', $yungen_scheme );
			} else {
				$yungen_bg_color = '';
			}
			if ( ! empty( $yungen_bg_color ) && $yungen_bg_mask > 0 ) {
				$yungen_css .= 'background-color: ' . esc_attr(
					1 == $yungen_bg_mask ? $yungen_bg_color : yungen_hex2rgba( $yungen_bg_color, $yungen_bg_mask )
				) . ';';
			}
			if ( ! empty( $yungen_css ) ) {
				echo ' style="' . esc_attr( $yungen_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
			$yungen_layout = yungen_get_theme_option( 'front_page_googlemap_layout' );
		if ( 'fullwidth' != $yungen_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$yungen_caption     = yungen_get_theme_option( 'front_page_googlemap_caption' );
			$yungen_description = yungen_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $yungen_caption ) || ! empty( $yungen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $yungen_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $yungen_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $yungen_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $yungen_caption, 'yungen_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $yungen_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $yungen_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $yungen_description ), 'yungen_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $yungen_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$yungen_content = yungen_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $yungen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $yungen_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $yungen_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $yungen_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $yungen_content, 'yungen_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $yungen_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $yungen_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
			<?php
			if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
				dynamic_sidebar( 'front_page_googlemap_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! yungen_exists_trx_addons() ) {
					yungen_customizer_need_trx_addons_message();
				} else {
					yungen_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
				}
			}
			?>
			</div>
			<?php

			if ( 'columns' == $yungen_layout && ( ! empty( $yungen_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
