<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.14
 */
$yungen_header_video = yungen_get_header_video();
$yungen_embed_video  = '';
if ( ! empty( $yungen_header_video ) && ! yungen_is_from_uploads( $yungen_header_video ) ) {
	if ( yungen_is_youtube_url( $yungen_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $yungen_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php yungen_show_layout( yungen_get_embed_video( $yungen_header_video ) ); ?></div>
		<?php
	}
}
