<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

						// Widgets area inside page content
						yungen_create_widgets_area( 'widgets_below_content' );
						?>
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					$yungen_body_style = yungen_get_theme_option( 'body_style' );
					if ( 'fullscreen' != $yungen_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}

					// Widgets area below page content and related posts below page content
					$yungen_widgets_name = yungen_get_theme_option( 'widgets_below_page' );
					$yungen_show_widgets = ! yungen_is_off( $yungen_widgets_name ) && is_active_sidebar( $yungen_widgets_name );
					$yungen_show_related = is_single() && yungen_get_theme_option( 'related_position' ) == 'below_page';
					if ( $yungen_show_widgets || $yungen_show_related ) {
						if ( 'fullscreen' != $yungen_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $yungen_show_related ) {
							do_action( 'yungen_action_related_posts' );
						}

						// Widgets area below page content
						if ( $yungen_show_widgets ) {
							yungen_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $yungen_body_style ) {
							?>
							</div><!-- </.content_wrap> -->
							<?php
						}
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Single posts banner before footer
			if ( is_singular( 'post' ) ) {
				yungen_show_post_banner('footer');
			}
			// Footer
			$yungen_footer_type = yungen_get_theme_option( 'footer_type' );
			if ( 'custom' == $yungen_footer_type && ! yungen_is_layouts_available() ) {
				$yungen_footer_type = 'default';
			}
			get_template_part( apply_filters( 'yungen_filter_get_template_part', "templates/footer-{$yungen_footer_type}" ) );
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>

</body>
</html>