<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
if ( ! yungen_is_inherit( yungen_get_theme_option( 'copyright_scheme' ) ) ) {
	echo ' scheme_' . esc_attr( yungen_get_theme_option( 'copyright_scheme' ) );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$yungen_copyright = yungen_get_theme_option( 'copyright' );
			if ( ! empty( $yungen_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$yungen_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $yungen_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$yungen_copyright = yungen_prepare_macros( $yungen_copyright );
				// Display copyright
				echo wp_kses( nl2br( $yungen_copyright ), 'yungen_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
